### Method

# Secret Service set_alias_to_dbus_path

#### Declaration [src]

    void
    secret_service_set_alias_to_dbus_path (
      SecretService* self,
      const gchar* alias,
      const gchar* collection_path,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Assign a collection to this alias. Aliases help determine well known collections, such as ‘default’. This method takes the dbus object path of the collection to assign to the alias.

This method will return immediately and complete asynchronously.

Stability: | Unstable
This method is not directly available to language bindings.

#### Parameters

`alias` | `const gchar*`
| The alias to assign the collection to.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`collection_path` | `const gchar*`
| The dbus object path of the collection to assign to the alias.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Called when the operation completes.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Data to pass to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.